﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.IO;

namespace MulticastTV
{
    /// <summary>
    /// Export internal (channel informations) xml format to m3u playlist.
    /// </summary>
    static class ExportToM3U
    {
        static public  void  Start(string file, bool chan_to_len_field, string IpPrefix)
        {
            bool wnicip = false;
            if (IpPrefix.Length > 0)
            {
                IpPrefix.Trim();
                wnicip = true;
            }
            StreamWriter sw = File.CreateText(file);
            sw.WriteLine("#EXTM3U");
            DataView dw = ChannelTable.menu.Tables["Menu"].DefaultView;
            dw.Sort ="Chan";

            ExportToXspf.EnsureUniqueChanNumbers(dw);

            foreach (DataRowView dr in dw)
            {
                string ip = dr[0].ToString();
                int ch = (int)dr[1];
                string name = dr[2].ToString();
                string audio = dr[4].ToString().Split(",".ToCharArray())[0];

                if (chan_to_len_field)
                    sw.WriteLine("#EXTINF:0," + ch + " - " + name);
                else
                    sw.WriteLine("#EXTINF:"+ch+","+ name);

                if (wnicip)
                    sw.WriteLine(IpPrefix+ ip);
                else
                    sw.WriteLine("udp://@" + ip);
                sw.WriteLine("");
            }
            sw.Close();
        }
    }
}
